
/******************************************************************************
* MODULE     : mmxlight_evaluator.cpp
* DESCRIPTION: Standard glue for Mathemagix
* COPYRIGHT  : (C) 2006  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "category_glue.hpp"
#include "base_evaluator.hpp"
#include "literal.hpp"
namespace mmx {

void define_language ();

evaluator
mmxlight_evaluator () {
  evaluator ev= base_evaluator ();
  select_evaluator (ev);
  define_prerequisites ();
  define_language ();
  restore_evaluator ();
  return ev;
}

} // namespace mmx
