
/******************************************************************************
* MODULE     : string.hpp
* DESCRIPTION: Scientific notation for intervals
* COPYRIGHT  : (C) 2004  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#ifndef __STRING_SCNOT_HPP
#define __STRING_SCNOT_HPP
#include "string.hpp"
namespace mmx {

string make_range (const string& l, const string& r);
void decompose_range (const string& s, string& l, string& r);
string trunc_digits (const string& s, nat dd);

} // namespace mmx
#endif // __STRING_SCNOT_HPP
